---
title: Darknet
creator: vinvincent
date_pub: '2024-06-08 12:01'
private:
  enabled: public
title_visible:
  enabled: true
modules_card:
  enabled: false
show_cover_solo: oui
cover_up: {}
a_file: {}
---

Désigne des réseaux informatiques conçus pour protéger l'identification des machines qui s'y connectent. Des protocoles qui, à l'inverse de ceux majoritairement employés pour accéder à Internet, ne permettent pas de remonter à l'origine d'une connexion. Il en existe différent qui sécurisent leurs utilisateurs contre toutes sortes de dispositifs de surveillances des communications. De surcroit, ils renforcent la durée de vie de ressources présentes en ligne (sources) sinon faciles à arrêter/censurer. 

Des atouts stratégiques qu'ont bien compris les activistes/militant.es et autres populations inquiétées par les gouvernements répressifs. Via ces réseaux on peut librement faire la publicité d'activités ailleurs interdites, sans risquer de représailles ou censure. Toutefois, ces protocoles ne sont pas infaillibles. C'est souvent une erreur humaine qui permet aux polices du monde entier (renseignements et autres) de défaire l'anonymat numérique que confèrent ces protocoles réseaux. S'ils créent bel et bien des environnements sécurisés, limitant les risques d'être tracés/surveillés en ligne (à commencer par l'identité primordiale de connexion sur Internet, l'adresse IP), ils ne peuvent pas protéger à 100% des attaques et enquêtes à l'encontre de nos vies privées. 

Atypiques, ces protocoles sécurisants, permettent d'accéder à des noms de domaines  différents tels le TLD ".onion" pour le réseau Tor. Sans doute le plus connu des darknets, Tor fait *router* la connexion d'un ordinateur qui s'y connecte "en oignon". Sauf que, au lieu de s'y connecter directement avec sa propre adresse/identité, cette connexion transite par différents ordinateurs relais/intermédiaires qui, couche par couche, comme un oignon, vont substituer son identité d'origine (véritable) par la leur. C'est au final à partir de la connexion d'autres ordinateurs que la requête de l'ordinateur d'origine (initiateur d'une requête/connexion) va être envoyée (et reçue). 

Ces relais/intermédiaires sont amnésiques et ne détiennent qu'un fragment de l'identité de l'ordinateur d'origine. La cryptographie rend possible ce secret partagé entre eux, volontaires pour anonymiser la connexion d'un autre, inconnu, provenant du monde entier. Le réseau est donc maintenu par des ordinateurs/serveurs qui donnent un peu de leur bande passante pour faire transiter les connexions via Tor. [SnowFlake](https://liens.vincent-bonnefille.fr/?searchterm=SnowFlake), extension de navigateur mise en place par Tor, permet également de donner accès à Internet à ceux.celles qui en sont privé à travers le globe. Pris pour cibles les protocoles d'anonymisation tel Tor peuvent être repéré par les États et FAI. Il est conesillé de suivre les indications tel le très bon site de vulgarisation : https://www.privacyguides.org/fr/advanced/tor-overview/#creation-de-chemins-vers-les-services-onion (image d'illustration plus bas).

Les relais créent un point de Rendez-vous par lequel les données demandées sont échangées entre ordinateurs relais ne connaissant pas pour autant l'adresse d'origine ni celle de destination (dans le cas de sites cachés auquels le protocole donne accès, les site en .onion). 

[![privacyguides Tor illustration](https://www.privacyguides.org/fr/assets/img/how-tor-works/tor-path-hidden-service.svg)](https://www.privacyguides.org/fr/advanced/tor-overview/#creation-de-chemins-vers-les-services-onion){Chemin Tor montrant votre trafic acheminé à travers vos trois noeuds Tor plus trois noeuds Tor supplémentaires qui cachent l'identité du site web
Chemin du circuit Tor avec des services onion. Les nœuds de la zone bleue appartiennent à votre navigateur, tandis que les nœuds de la zone rouge appartiennent au serveur, de sorte que leur identité vous est cachée. [source](https://www.privacyguides.org/fr/advanced/tor-overview/#creation-de-chemins-vers-les-services-onion)}


In fine, c'est aussi bien les clients que les serveurs qui peuvent être ainsi dissimulés, substituant leur adresse d'origine avec une chaine de caractère unique, rendue accessible par tout le réseau Tor via un registre DNS en onion, différent de ceux que renseigne l'ICANN chargé d'indexer les objets comme uniques sur Internet (à commencer par les noms de domaine et leurs adresses IP).

Essentiel à la liberté d'expression, l'anonymat protège les individus de représailles de la part de forces extérieurs. Elle garantit la possibilité égalitaire de développer une opinion propre dans l'espace publique, sans représailles. Elle renforce la protection des sources qui, sans cette garantie, pourraient renoncer face aux risques encourus. Un sentiment d'impunité qui est nécessairement clivant car il n'est pas partisan : tout le monde peut y recourir pour faire la publicité de son point de vue tout en augmentant sa durée de vie (en réduisant certains moyens de censure les plus facile à ordonner et mettre en place).

----


## Formulation B
Les protocoles qui rentrent dans la  catégorie des "darknets" ont la particularité de protéger l'identité des ordinateurs qui se connectent à Internet via des protocoles conçus pour les rende anonymes, ou plutôt dissimulés derrière une identité partagée. Un ordinateur qui se connecte via un tel protocole n'est pas dissocié du réseau Internet (ni de son fournisseur, FAI). Le réseau et protocole Tor est sans doute le plus connu d'entre eux. Il est dit en oignon car les ordinateurs qui s'y connectent changent plusieurs fois d'identité avant d'arriver à destination : comme un oignon, couche par couche, un ordinateur volontaire sur le réseau lui prête la sienne pour que, en sortie du réseau, à la consultation du contenu demandé, ce ne soit pas l'ordinateur de départ qui semble y accéder. 

R) Tout en profitant de l'infrastructure réseau commune (mixnet), les connexions profitent d'un "routage en oignon", des machines qui font écran ou proxy. 

C'est grâce au chiffrement et autres outils cryptographiques, que les machines qui servent de relai à travers le monde, peuvent acheminer une requête du client de départ vers le serveur (et inversement, renvoyer la réponse qui affichera le contenu) sans pour autant connaitre la réelle identité du client à l'origine de la requête. 

Le secret est partagé partiellement d'une machine relais à l'autre, par une identité de substitution. Le chiffrement asymétrique est à l'œuvre, il permet de vérifier qu'une signature numérique unique est bien produite/générée par telle personne/ordinateur/connexion/origine. Ainsi, on peut substituer l'adresse IP qui normalement sert à identifier un ordinateur sur le réseau, par une signature/emprunte unique.
